% n002-thesis.cls - part of a LaTeX template
%
% Written in 2015-2016 by Aras Ergus <arasergus@posteo.net>.
%
% This file is available for use under the terms of CC0, in particular in
% public domain where possible. For more information, please see:
% http://creativecommons.org/publicdomain/zero/1.0/

\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{n002-thesis}[2020/07/03]

\LoadClass[11pt, a4paper, twoside, english]{article}

% Unfortunately, n002-math requires at least one package which needs to be
% loaded after a package that is required by n002-math.
\RequirePackage{n002-math}
\RequirePackage{n002-things}

\RequirePackage[titletoc]{appendix}
\RequirePackage[english]{babel}
\RequirePackage{etoolbox}
\RequirePackage[mark]{gitinfo2}
\RequirePackage{imakeidx}
\RequirePackage[nottoc]{tocbibind}

\numberwithin{equation}{section}

\renewcommand{\gitMarkPref}{}

\renewcommand{\gitMark}{
  \gitAuthorDate{}
  \textbullet{}
  \gitHash{}
  \textbullet{}
}

\newbool{bama-title}

\DeclareOption{bama}{
  \booltrue{bama-title}
}

\ProcessOptions\relax

\newcommand*{\advisor}[1]{\def\@advisor{#1}}
\newcommand*{\secondadvisor}[1]{\def\@secondadvisor{#1}}

\newcommand*{\dateofbirth}[1]{
  \ifbool{bama-title}{\geburtsdatum{#1}}{}
}
\newcommand*{\placeofbirth}[1]{
  \ifbool{bama-title}{\geburtsort{#1}}{}
}
\newcommand*{\institute}[1]{
  \ifbool{bama-title}{\institut{#1}}{}
}

\ifbool{bama-title}{
  \RequirePackage{MA_Titlepage}
  \authornew{\@author}
  \ausarbeitungstyp{Master's Thesis Mathematics}
  \betreuer{Advisor: \@advisor}
  \zweitgutachter{Second Advisor: \@secondadvisor}
}{}

\endinput
